import { TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
export interface AlertConfig {
    content: string | TemplateRef<any>;
    title?: string | TemplateRef<any>;
    btnText?: string;
}
export declare class AlertController {
    alertConfig: Observable<string | AlertConfig>;
    private alertAction;
    private alertActionSource;
    private alertConfigSource;
    constructor();
    show(params: string | AlertConfig): Promise<any>;
    publishAction(): void;
}
